/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart.anchor;

import org.eclipse.draw2d.ChopboxAnchor;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Point;

/**
 * An extension to {@link ChopboxAnchor} using insets of half bounding box.
 * 
 * @author doebber
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: B537BA7FE701844831A67814A81C95C1
 */
public class InsetChopBoxConnectionAnchor extends ChopboxAnchor {

	/** Constructor */
	public InsetChopBoxConnectionAnchor(IFigure owner) {
		super(owner);
	}

	/** {@inheritDoc} */
	@Override
	public Point getLocation(Point reference) {
		Point edge = super.getLocation(reference);
		Point ref = getReferencePoint();
		Point anchor = new Point();
		anchor.x = ref.x + (edge.x - ref.x) / 2;
		anchor.y = ref.y + (edge.y - ref.y) / 2;
		return anchor;
	}
}
