/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart.command.bendpoint;

import static org.fortiss.tooling.base.ui.utils.LayoutDataUtils.addConnectionPoint;

import org.eclipse.draw2d.geometry.Point;
import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;
import org.fortiss.tooling.base.ui.layout.IDiagramLayoutConfiguration;

/**
 * Command for creating bend points.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 2CF051FB7C7BA866D2BD5E55057F4467
 */
public class CreateCommand extends CommandBase {

	/** Constructor. */
	public CreateCommand(ILayoutedModelElement connection, int index,
			Point location, IDiagramLayoutConfiguration layouter) {
		super(connection, index, location, layouter);
	}

	/** {@inheritDoc} */
	@Override
	public void execute() {
		doLayout();
		addConnectionPoint(connection, location.x, location.y);
	}
}
