/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.preferences;

import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.RadioGroupFieldEditor;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.fortiss.tooling.base.ui.ToolingBaseUIActivator;
import org.fortiss.tooling.base.ui.editpart.figure.EVisualStyle;

/**
 * Main preference page for graphical viewer editors.
 * 
 * @author schwitzer
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: F2CDD837F99C0C706488E9DE16350173
 */
public class GraphicalViewerPreferencePage extends FieldEditorPreferencePage
		implements IWorkbenchPreferencePage {

	/** Constructor. */
	public GraphicalViewerPreferencePage() {
		super(GRID);
		setPreferenceStore(ToolingBaseUIActivator.getDefault()
				.getPreferenceStore());
		setDescription("Graphical Editor Preferences");
	}

	/** {@inheritDoc} */
	@Override
	protected void createFieldEditors() {
		addField(new RadioGroupFieldEditor(EVisualStyle.ID,
				"Presentation of Graphical Shapes", 1, new String[][] {
						{ "Traditional", EVisualStyle.Traditional.name() },
						{ "Glossy", EVisualStyle.Glossy.name() } },
				getFieldEditorParent()));
	}

	/** {@inheritDoc} */
	@Override
	public void init(IWorkbench workbench) {
		// nothing to do
	}
}
