/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal.views;

import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.jface.viewers.TreeViewerColumn;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeColumn;

/**
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 34C8036B16744FA2D8CE65F9A5F5BCCA
 */
public class MarkerViewerGUI extends Composite {
	private TreeViewer treeViewer;
	private TreeViewerColumn treeViewerColumn;
	private TreeViewerColumn treeViewerColumn_1;
	private TreeViewerColumn treeViewerColumn_2;
	private TreeViewerColumn treeViewerColumn_3;

	/**
	 * Create the composite.
	 * 
	 * @param parent
	 * @param style
	 */
	public MarkerViewerGUI(Composite parent, int style) {
		super(parent, style);
		setLayout(new FillLayout(SWT.HORIZONTAL));

		treeViewer = new TreeViewer(this, SWT.BORDER);
		Tree tree = treeViewer.getTree();
		tree.setLinesVisible(true);
		tree.setHeaderVisible(true);

		treeViewerColumn = new TreeViewerColumn(treeViewer, SWT.NONE);
		TreeColumn trclmnSeverity = treeViewerColumn.getColumn();
		trclmnSeverity.setWidth(100);
		trclmnSeverity.setText("Severity");

		treeViewerColumn_1 = new TreeViewerColumn(treeViewer, SWT.NONE);
		TreeColumn trclmnElement = treeViewerColumn_1.getColumn();
		trclmnElement.setWidth(100);
		trclmnElement.setText("Element");

		treeViewerColumn_3 = new TreeViewerColumn(treeViewer, SWT.NONE);
		TreeColumn trclmnExplanation = treeViewerColumn_3.getColumn();
		trclmnExplanation.setWidth(302);
		trclmnExplanation.setText("Explanation");

		treeViewerColumn_2 = new TreeViewerColumn(treeViewer, SWT.NONE);
		TreeColumn trclmnProject = treeViewerColumn_2.getColumn();
		trclmnProject.setWidth(100);
		trclmnProject.setText("Project");

	}

	@Override
	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}

	public TreeViewer getTreeViewer() {
		return treeViewer;
	}

	public TreeViewerColumn getSeverityColumn() {
		return treeViewerColumn;
	}

	public TreeViewerColumn getElementColumn() {
		return treeViewerColumn_1;
	}

	public TreeViewerColumn getProjectColumn() {
		return treeViewerColumn_2;
	}

	public TreeViewerColumn getExplanationColumn() {
		return treeViewerColumn_3;
	}
}
