/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.wizard;

import org.eclipse.jface.wizard.Wizard;

/**
 * A simple wizard consisting of only a single page.
 * 
 * @author hummelb
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: CFE78BB8FA82897B0B0FA839DF9D19ED
 */
public class SinglePageWizard extends Wizard {

	/** The page to be displayed. */
	private final FinishableWizardPage page;

	/** Create new wizard. */
	public SinglePageWizard(FinishableWizardPage page) {
		this.page = page;
		setWindowTitle(page.getTitle());
	}

	/** {@inheritDoc} */
	@Override
	public void addPages() {
		addPage(page);
	}

	/** {@inheritDoc} */
	@Override
	public boolean performFinish() {
		return page.performFinish();
	}
}